%define origname lasi

Name: lib%origname
Version: 1.0.6
Release: alt1

Summary: C++ stream output interface for creating Postscript documents
License: LGPL 2
Group: System/Libraries

Url: http://www.unifont.org/lasi
Source: %url/download/%origname-%version.tar.gz
Packager: Michael Shigorin <mike@altlinux.org>

# Automatically added by buildreq on Thu Feb 16 2006
BuildRequires: fontconfig-devel freetype2-devel gcc-c++ glib2-devel glibc-devel-static hostinfo libpango-devel libstdc++-devel pkgconfig

%description
libLASi is a library written by Larry Siden  that provides
a C++ stream output interface ( with operator << ) for creating
Postscript documents that can contain characters from any of the
scripts and symbol blocks supported in Unicode  and by Owen
Taylor's Pango layout engine.

The library accomodates right-to-left scripts such as Arabic
and Hebrew as easily as left-to-right scripts. Indic and
Indic-derived Complex Text Layout (CTL) scripts, such as
Devanagari, Thai, Lao, and Tibetan are supported to the extent
provided by Pango and by the OpenType fonts installed on your
system. All of this is provided without need for any special
configuration or layout calculation on the programmer's part.

Although the capability to produce Unicode-based multilingual
Postscript documents exists in large Open Source application
framework libraries such as GTK+, QT, and KDE, libLASi was
designed for projects which require the ability to produce
Postscript independent of any one application framework.

%package devel
Summary: Development part of libLASi
License: GPL
Group: Development/C++

%description devel
libLASi is a library that provides a C++ stream output interface
for creating Postscript documents.

This is the development environment to compile libLASi apps.

%prep
%setup -q -n %origname-%version

%build
autoreconf -fisv
%configure
%make_build libLASi_la_LIBADD="-lpango-1.0 -lpangoft2-1.0"

%install
install -dm755 %buildroot{%_libdir/pkgconfig,%_includedir}/
%makeinstall
rm %buildroot%_libdir/libLASi.a

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%_libdir/*.so.*
%doc AUTHORS ChangeLog NEWS README

%files devel
%_libdir/*.so
%_libdir/pkgconfig/*.pc
%_includedir/*

# TODO:
# - Makefile patch to link against libpango too
# - conditional static library build? (off by default, if ever)

%changelog
* Thu Nov 09 2006 Michael Shigorin <mike@altlinux.org> 1.0.6-alt1
- 1.0.6 (NB: requires freetype >= 2.2)
- removed patch (merged upstream)

* Mon Jun 05 2006 Michael Shigorin <mike@altlinux.org> 1.0.5-alt1
- accepted gcc4 build fix and version update by icesik@
  + Mon Jun 05 2006 Igor Zubkov <icesik@altlinux.ru> 1.0.5-alt0

* Sun Mar 26 2006 Michael Shigorin <mike@altlinux.org> 1.0.4-alt2
- fixed build with --as-needed, kind of (better do it properly)

* Fri Feb 17 2006 Michael Shigorin <mike@altlinux.org> 1.0.4-alt1
- built for ALT Linux

